/*** Beatport playlist and tracks display ***/

var scripts = document.getElementsByTagName('script');
var index = scripts.length - 1;
var myScript = scripts[index];
// myScript now contains our script object
var queryString = myScript.src.replace(/^[^\?]+\??/,'');
var languageArray=queryString.split("=");
var language=languageArray[1];
var messagesDictionary = {
    en: {
    ERROR:'Error',
	URL_VALID_FEED:'This url does not contain a valid Media!'
    },

	nl: {
    ERROR:'Fout',
	URL_VALID_FEED:'Dit webadres bevat geen geldige Media!'
    },

	cn: {
    ERROR:'错误',
	URL_VALID_FEED:'该url不包含有效的媒体RSS饲料！'
    },

	de: {
    ERROR:'Fehler',
	URL_VALID_FEED:'Diese URL enthält keinen gültigen Medien!'
    },

	fr: {
    ERROR:'Erreur',
	URL_VALID_FEED:'Cette URL ne contient pas de flux rss médias valide!'
    },

    sa: {
	ERROR:'خرابی',
	URL_VALID_FEED:'اس یو آر ایل ایک درست میڈیا آر ایس ایس فیڈ پر مشتمل نہیں ہے!'
    },

	 es: {
    ERROR:'error',
	URL_VALID_FEED:'Este sitio de Internet no contiene un feed RSS Medios válida!'
    }

	

}

function dirApidatachange(t,tl,bl)
	{
	
		
		$.post('/pages/player-list',{id:t,title:tl,bit:bl},
			function(html)
			{
			//alert()
			$('#playerids').html(html);
			
			 
			}
		);
	}	
	
	function dirApidatachanges(t,tl,bl)
	{
	 $("#txt_tr_user_loader_first").show();
		//alert("radio pre");
		$.post('/pages/player-list',{id:t,title:tl,bit:bl},
			function(html)
			{
			//alert()
			//alert("radio after");
			 $("#txt_tr_user_loader_first").hide();
			$('#playerids').html(html);
			$('#audio-inner-main').attr('style','display:none;');
			
			 //alert("archit0");
			// writetoxml(html);
			//$.colorbox({title:'Radio', href:'<?php print_r(Zend_Registry::get('siteurl'));?>'+'/radio_player.html'});
				
			}
		);
	}
function fetchrssradiofeed(url,j){
		var url = url; 
		$('#audioDetailBack').attr('style','');
		$('#audio-inner-main').attr('style','display:none;');
		$('#all_data_load_music').attr('style','');
		$('#backAudio').hide();
		var plsBgImage = $('#txt_pls_soundradiorss_inner_img_'+j).val(); 
		//var pattern = /(ftp:\/\/|http:\/\/|https:\/\/)(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
		
			$("#app-page-save-update").hide();
			$("#app-page-save-update-disable").show();
			$('#all_data_load_music').attr('style','');
			// avadhesh have changed it but shiv today on leave will change it with him
			$.post('/pages/player-url',{url:url,plsBgImage:plsBgImage},
				function(html)
				{
					if(html!='Error'){
						$("#app-page-save-update").show();
						$("#app-page-save-update-disable").hide();
							$("#audio-inner-main").hide();
						 $("#txt_tr_user_loader_first").hide();
						 $('#backAudio').hide();
						 $('#all_data_load_music').html(html);
					}else{
						msgDialog(messagesDictionaryScript[language]['ERROR'],messagesDictionaryScript[language]['URL_VALID_FEED']);
						return false;
					}
				});
		
	}
	/*** Beatport playlist and tracks display ***/
	function beatportPlayList(albid,cid)
	{
		var albumId = ($('#beatport_selectedalbumid').val()!=null)?$('#beatport_selectedalbumid').val():albid;
		var catId = ($('#beatport_category').val()!=null)?$('#beatport_category').val():cid;
		var playListName = $('#txt_sound-beatport-playlist').html();
		if($.trim(albumId)!='') 
		{
			beatportTrack(albumId,catId,playListName);
		}
	}
	
	function beatportTrack(albumId,catId,playListName)
	{
		$('#audio-inner-main').attr('style','display:none;');
		$('#loadmoreajaxloader').attr('style','');
		$('#all_data_load_music').attr('style','');
		$.post('/app/beatport-track-list',{url:albumId,cat:catId},
			function(html)
			{
				//alert(html);
				if(html!='Error'){
				$('#loadmoreajaxloader').attr('style','display:none;');
				$('#audioDetailBack').attr('style','');
				$('#audio-inner-detail').attr('style','');
				$('#backAudio').hide();
				$('#all_data_load_music').html(html);
				$('.audio_header_box h3').html(playListName);
				}
			}
		);
	}
	/*** Beatport End ***/
	/*** Sound Cloud playlist and tracks display ***/
	function soundCloudPlayList(plistid,cid,uid)
	{
		var playlistId = ($('#soundcloud_playlistId').val()!=null)?$('#soundcloud_playlistId').val():plistid;

		var clientId = ($('#soundcloud_clientId').val()!=null)?$('#soundcloud_clientId').val():cid;

		var userId = ($('#soundcloud_userId').val()!=null)?$('#soundcloud_userId').val():uid;

		if($.trim(playlistId)!='' && $.trim(clientId)!='' && $.trim(userId)!='') {
			soundcloudTracks(playlistId,clientId,userId);
		}
	}
	
	function soundcloudTracks(playlistId,clientId,userId) {

		$('#audio-inner-main').attr('style','display:none;');
		$('#loadmoreajaxloader').attr('style','');
		$.post('/app/soundcloud-track-list',{userId:userId,clientId:clientId,playlistId:playlistId},
			function(html)
			{
				//alert(html);
				if(html!='Error'){
				$('#loadmoreajaxloader').attr('style','display:none;');
				$('#audioDetailBack').attr('style','');
				$('#audio-inner-detail').attr('style','');
				$('#backAudio').hide();
				$('#all_data_load_music').html(html);

				}
			}
		);
	}
/*** Sound Cloud End ***/
/*** Rss feed playlist and tracks display ***/
	function rssPlayList(feedurl)
	{
		var rssurl = ($('#soundrss_feedurl').val()!=null)?$('#soundrss_feedurl').val():feedurl;
		var playListName = $('#txt_sound-rss-playlist').html();
		if($.trim(rssurl)!='') {
			rssFeed(rssurl,playListName);
		}
	}
	function rssFeed(url,playListName){
		var url = $.trim(url);
		//alert(url);
		$('#audio-inner-main').attr('style','display:none;');
		$('#loadmoreajaxloader').attr('style','');
		$('#all_data_load_music').attr('style','');
		$.post('/app/mediarss-feed',{url:url},
			function(html)
			{
				//alert(html);
				if(html!='Error'){
					$('#loadmoreajaxloader').attr('style','display:none;');
					$('#audioDetailBack').attr('style','');
					$('#audio-inner-detail').attr('style','');
					$('#backAudio').hide();
					$('#all_data_load_music').html(html);
					$('.audio_header_box h3').html(playListName);
				}
			}
		);
	}
	/*** Rss feed End ***/
/*** Custom playlist and tracks display ***/
/*
function customPlayList(tname,turl)
	{
		$('#audioDetailBack').attr('style','');
		$('#audio-inner-main').attr('style','display:none;');
		$('#all_data_load_music').attr('style','');
		$('#backAudio').hide();
		var playListName = $('#txt_sound-custom-playlist').html(); 
		var trackName = ($('#audio_track_name1').val()!=null)?$('#audio_track_name1').val():tname;

		var trackUrl = ($('#audio_track_url1').val()!=null)?$('#audio_track_url1').val():turl;

		if($.trim(trackName)!='' && $.trim(trackUrl)!='' ) {
			$('.jp-playlist ol li').attr('style','');
		}
		$('.audio_header_box h3').html(playListName);
	}
function customPlayList()
{
	$('#audioDetailBack').attr('style','');
	$('#audio-inner-main').hide();
	$('#all_data_load_music').html('style','');
	$('#backAudio').hide();
	
	//alert("ajay");
	var vdata=$('#audio_customplaylist').val();
	var appid='<?php echo $this->appId;?>';
	//$('#audio-inner-main').attr('style','display:none;');
		$('#loadmoreajaxloader').attr('style','');
		$.post('/app/custom-feed',{appid:appid},
		function(html)
			{
				//alert(html);
				if(html!='Error'){
					$('#loadmoreajaxloader').attr('style','display:none;');
					
					//$('#backAudio').show();
					$('#all_data_load_music').html(html);
					$('.audio_header_box h3').html(vdata);
					
				}
			}
		);
	
	
}
*/
function backAudioDetail(){

	$("#jquery_jplayer_1").jPlayer("stop");
	$('#audio-inner-main').attr('style','');
	$('#audioDetailBack').attr('style','display:none;');
	$('#backAudio').show();
	$('#audio-inner-main').show();
	//$('#audio-inner-detail').attr('style','display:none;');
	//$('#audio-inner-custom').attr('style','display:none;');
	//$('#all_data_load_music').attr('style','display:none;')
	$('#all_data_load_music').html('');

}

function isValidEmailAddress(emailAddress) { 
    var pattern = new RegExp(/^[+a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{1,20}$/i);
    return pattern.test(emailAddress);
};

function msgDialog(status,msg){
	$.blockUI();
	$('.ui-dialog').show();
	$("#dialog" ).dialog({title: status,closeOnEscape: false,zIndex: 99999999,});
	$("#dialog p").html(msg);   //ui-icon-closethick
	$('.ui-dialog-titlebar-close').bind("click touchstart",function(){
	
		$.unblockUI();
		$(this).dialog('destroy');
	});
} 
function closeDialog(status,msg){
	
		$.unblockUI();
		$('.ui-dialog').hide();
		$(this).dialog('destroy');
	
	} 
/* Social Page Javascript */
function signinDiv(){
    $('#signin_div').show();
    $('#forget_div').hide();
    $('#signup_div').hide();
    $('.magentocl').hide();
    var js = "loadApplicationMobile(); return false;";
    // Set with JQuery: doesn't work
    $(".back-header").attr("onclick", js);
}
function signupDiv(){
    $('#signup_div').show();
    $('#signin_div').hide();
    $('#forget_div').hide();
    $('.magentocl').hide();
    var js = "loadApplicationMobile(); return false;";
    // Set with JQuery: doesn't work
    $(".back-header").attr("onclick", js);
}
function forgetDiv(){
    $('#forget_div').show();
    $('#signin_div').hide();
    $('#signup_div').hide();
    $('.magentocl').hide();
    var js = "signinDiv(); return false;";
    // Set with JQuery: doesn't work
    $(".back-header").attr("onclick", js);
}
function homeMenu()
{
	$( "#mProducts" ).toggle( "slow", function() {
	});
}

function myprofile(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/myprofile',{appId:appId,userId:userId},
	function(html){
		$('#sc_menu').show();
		var js = "signinDiv(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$('#middle-content-load').html('');
		$('#middle-content-load').html(html);
		$('#middle-content-load').show();
		$('#appypie-search-section').show();
		var js = "back(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$('#simulatior-loader').hide();
		$( "#mProducts" ).hide('slow');
	});

}
function subscribedlist(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/subscribedlist',{appId:appId,userId:userId},
	function(html){
		var js = "signinDiv(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$('#middle-content-load').html('');
		$('#middle-content-load').html(html);
		$('#middle-content-load').show();
		$('#appypie-search-section').show();
		var js = "back(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$( "#mProducts" ).hide('slow');
		$("#followerlist").removeClass("active");
		$("#subscribedlist").addClass("active");
		$("#subscriberlist").removeClass("active");
		$("#followinglist").removeClass("active");
		$('#simulatior-loader').hide();
	});

}
function profileSubscribedlist(appId,userId)
{
	$.post('/socialnetwork/profile-subscribedlist',{appId:appId,userId:userId},
	function(html){
		$("#profile_activity").html(html);
		$("#profile_activity").show();
	});

}
function subscriberlist(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/subscriberlist',{appId:appId,userId:userId},
	function(html){
		var js = "signinDiv(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$('#middle-content-load').html('');
		$('#middle-content-load').html(html);
		$('#middle-content-load').show();
		$('#appypie-search-section').show();
		var js = "back(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$("#followerlist").removeClass("active");
		$("#subscribedlist").removeClass("active");
		$("#subscriberlist").addClass("active");
		$("#followinglist").removeClass("active");
		$('#simulatior-loader').hide();
	});

}
function followinglist(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/followinglist',{appId:appId,userId:userId},
	function(html){
		var js = "signinDiv(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$('#middle-content-load').html('');
		$('#middle-content-load').html(html);
		$('#middle-content-load').show();
		$('#appypie-search-section').show();
		var js = "back(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$("#followerlist").removeClass("active");
		$("#subscribedlist").removeClass("active");
		$("#subscriberlist").removeClass("active");
		$("#followinglist").addClass("active");
		$('#simulatior-loader').hide();
	});

}
function followerlist(appId,profileId,userId,locurl)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/followerlist',{appId:appId,userId:profileId},
	function(html){
		var js = "signinDiv(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$('#middle-content-load').html('');
		$('#middle-content-load').html(html);
		$('#middle-content-load').show();
		$('#appypie-search-section').show();
		if(locurl=='userProfile')
		{
			var locurl1 = 'back';
			var js = locurl+"('"+appId+"','"+profileId+"','"+userId+"','"+locurl1+"'); return false;";
		}else{
			var js = locurl+"('"+appId+"','"+userId+"'); return false;";
		}
		//var js = "back(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$("#followerlist").addClass("active");
		$("#subscribedlist").removeClass("active");
		$("#subscriberlist").removeClass("active");
		$("#followinglist").removeClass("active");
		$('#simulatior-loader').hide();
		
	});

}
function posts(appId,userId)
{
	$.post('/socialnetwork/posts',{appId:appId,userId:userId},
	function(html){
		var js = "signinDiv(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$('#middle-content-load').html('');
		$('#middle-content-load').html(html);
		$('#middle-content-load').show();
		$('#appypie-search-section').show();
		var js = "back(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
	});

}
function latestpost(appId,userId,filter,page)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/latestpost',{appId:appId,userId:userId,filter:filter,page:page},
	function(html){
		var js = "signinDiv(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$('#middle-content-load').html('');
		$('#middle-content-load').html(html);
		$('#middle-content-load').show();
		$('#appypie-search-section').show();
		var js = "back(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$('#simulatior-loader').hide();
	});

}


function subcribedfrdUnfrd(appId,userId,friendId,locurl,page)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/friend-unfriend',{appId:appId,friendId:friendId,userId:userId},
	function(msg){
		if(locurl=='user-profile'){
			$.post('/socialnetwork/'+locurl,{appId:appId,profileId:friendId,userId:userId},
			function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				$('#simulatior-loader').hide();
			});
		}else{
			$.post('/socialnetwork/'+locurl,{appId:appId,userId:userId,profileId:friendId,page:page},
			function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				$('#simulatior-loader').hide();
			});
		}
		
	});
}
function subscribe(appId,userId,friendId,locurl)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/subscribe-unsubscribe',{appId:appId,friendId:friendId,userId:userId},
	function(msg){
		if(locurl=='user-profile'){
			$.post('/socialnetwork/'+locurl,{appId:appId,profileId:friendId,userId:userId},
			function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				$('#simulatior-loader').hide();
			});
		}else{
			$.post('/socialnetwork/'+locurl,{appId:appId,userId:userId,profileId:friendId},
			function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				$('#simulatior-loader').hide();
			});
		}
	});
}
function postLike(appId,userId,postId,locurl,friendId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/like-unlike',{userId:userId,postId:postId},
	function(msg){
		if(locurl=='user-profile'){
			$.post('/socialnetwork/'+locurl,{appId:appId,profileId:friendId,userId:userId},
			function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				showtab('likes');
			});
		}else{
			$.post('/socialnetwork/'+locurl,{appId:appId,userId:userId,postId:postId},
			function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				showposttab('liking');
			});
		}
		$('#simulatior-loader').hide();
	});
}
function saveComment(appId,userId,postId,locurl)
{
	var comment = $('#comment').val();
	$.post('/socialnetwork/save-comment',{appId:appId,userId:userId,postId:postId,comment:comment},
	function(msg){
		$.post('/socialnetwork/'+locurl,{appId:appId,userId:userId,postId:postId},
		function(html){
			$('#middle-content-load').html('');
			$('#middle-content-load').html(html);
			showposttab('comments');
			

		});
	});
}
function postCommentLike(appId,userId,postId,commentId,locurl)
{
	$.post('/socialnetwork/comment-like-unlike',{appId:appId,userId:userId,postId:postId,commentId:commentId},
	function(msg){
		$.post('/socialnetwork/'+locurl,{appId:appId,userId:userId,postId:postId},
		function(html){
			$('#middle-content-load').html('');
			$('#middle-content-load').html(html);
			if(locurl="latestpost"){
				$('#comment_'+postId).show();
			}
		});
	});
}
function deleteComment(appId,userId,postId,commentId,locurl)
{
	var r=confirm("Confirm to delete");
	if (r==true)
	{
		$.post('/socialnetwork/delete-comment',{userId:userId,commentId:commentId},
		function(msg){
			$.post('/socialnetwork/'+locurl,{appId:appId,userId:userId,postId:postId},
			function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				if(locurl="latestpost"){
				$('#comment_'+postId).show();
			}
			});
		});
	}
}
function userProfile(appId,profileId,userId,locurl)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/user-profile',{appId:appId,profileId:profileId,userId:userId},
		function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				var isVisible = $( "#middle-content-load" ).is( ":visible" );
				if(isVisible){
					$('#appypie-search-section').show();
				}else{
					$('#forget_div').hide();
					$('#signup_div').hide();
					$('#signin_div').show();
				}
				if(!(locurl) || locurl=='userProfile')
				{
					locurl = 'back';
					var js = locurl+"('"+appId+"','"+userId+"','"+profileId+"','"+locurl+"'); return false;";
				}else{
					var js = locurl+"('"+appId+"','"+userId+"'); return false;";
				}
				// Set with JQuery: doesn't work
				$(".back-header").attr("onclick", js);
				$( "#mProducts" ).hide('slow');
				$('#simulatior-loader').hide();
				$( ".panel-view" ).removeClass('open-panel');
				$( ".page-controller" ).removeClass('open-panel');
		});
	
}
function searchUser(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	var search = $('#search').val();
	$.post('/socialnetwork/search',{appId:appId,userId:userId,search:search},
		function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				var js = "back(); return false;";
				// Set with JQuery: doesn't work
				$(".back-header").attr("onclick", js);
				$('#simulatior-loader').hide();
				$('#search').val('');
		});
}
function usersettings(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/user-profile-setting',{appId:appId,userId:userId},
		function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				var isVisible = $( "#middle-content-load" ).is( ":visible" );
				if(isVisible){
					$('#appypie-search-section').show();
				}else{
					$('#forget_div').hide();
					$('#signup_div').hide();
					$('#signin_div').show();
				}
				var js = "back(); return false;";
				// Set with JQuery: doesn't work
				$(".back-header").attr("onclick", js);
		});
		$( "#mProducts" ).hide('slow');
		$('#simulatior-loader').hide();
		$( ".panel-view" ).removeClass('open-panel');
		$( ".page-controller" ).removeClass('open-panel');
}
function settingsAccount(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/user-account-setting',{appId:appId,userId:userId},
		function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				var js = "usersettings('"+appId+"','"+userId+"'); return false;";
				// Set with JQuery: doesn't work
				$(".back-header").attr("onclick", js);
		});
		$( "#mProducts" ).hide('slow');
		$('#simulatior-loader').hide();
}
function changeEmail(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	var email = $('#setting_email').val();
	$.post('/socialnetwork/change-email',{userId:userId,email:email},
		function(html){
				$('#msg').html('');
				$('#msg').html(html);
				$('#msg-req').html('');
				$('#mention-msg').html('');
				$('#comment-msg').html('');
				$('#change-pass-msg').html('');
				$('#email-msg').html('');
				$('#simulatior-loader').hide();
		});
		
}
function settingMessage(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/setting-message',{appId:appId,userId:userId},
		function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				var isVisible = $( "#middle-content-load" ).is( ":visible" );
				if(isVisible){
					$('#appypie-search-section').show();
				}
				$('#simulatior-loader').hide();
		});
		
}
function settingMention(appId,userId)
{
	$.post('/socialnetwork/setting-mention',{appId:appId,userId:userId},
		function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				var isVisible = $( "#middle-content-load" ).is( ":visible" );
				if(isVisible){
					$('#appypie-search-section').show();
				}
		});
}
function settingEmail(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/setting-email',{appId:appId,userId:userId},
		function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				var isVisible = $( "#middle-content-load" ).is( ":visible" );
				if(isVisible){
					$('#appypie-search-section').show();
				}
				var js = "usersettings('"+appId+"','"+userId+"'); return false;";
				// Set with JQuery: doesn't work
				$(".back-header").attr("onclick", js);
				$('#simulatior-loader').hide();
		});
		
}
function settingComments(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/setting-comments',{appId:appId,userId:userId},
		function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				var isVisible = $( "#middle-content-load" ).is( ":visible" );
				if(isVisible){
					$('#appypie-search-section').show();
				}
				$('#simulatior-loader').hide();
		});
}
function settingSaveAccount(appId,userId)
{
	var username = $('#setting_username').val();
	var email = $('#setting_email').val();
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/setting-save-account',{appId:appId,userId:userId,username:username,email:email},
		function(html){
				$('#msg').html('');
				if(html=='Username already exist'){
					$('#chkusername').html(html);
				}else{
					$('#chkusername').html('');
				}
				if(html=='Email already exist'){
					$('#chkemail').html(html);
				}else{
					$('#chkemail').html('');
				}
				if(html==""){
					$('#msg').html('Information has been updated');
				}
				var js = "settingsAccount('"+appId+"','"+userId+"'); return false;";
				// Set with JQuery: doesn't work
				$(".back-header").attr("onclick", js);
				$('#simulatior-loader').hide();
		});
		
}
function settingChangePass(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/setting-change-pass',{appId:appId,userId:userId},
		function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				var isVisible = $( "#middle-content-load" ).is( ":visible" );
				if(isVisible){
					$('#appypie-search-section').show();
				}
				var js = "settingsAccount('"+appId+"','"+userId+"'); return false;";
				// Set with JQuery: doesn't work
				$(".back-header").attr("onclick", js);
				$('#simulatior-loader').hide();
		});
}
function changeMessageSetting(appId,userId,fieldname)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	var rate_value = $('#'+fieldname).val();
	$.post('/socialnetwork/setting-message',{appId:appId,userId:userId,field_name:fieldname,rate_value:rate_value},
		function(html){
				$('#msg').html('');
				$('#msg-req').html('');
				$('#mention-msg').html('');
				$('#comment-msg').html('');
				$('#change-pass-msg').html('');
				$('#email-msg').html('');
				$('#msg-req').html(html);
				$('#simulatior-loader').hide();
		});
}
function changeEmailSetting(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	if($('#mail_them_when_follow').is(':checked')){ var follow = 1; }else{ var follow = 0; }
	if($('#mail_them_when_subscribe').is(':checked')){ var subscribe = 1; }else{ var subscribe = 0; }
	if($('#mail_them_when_comment_on_posts').is(':checked')){ var posts = 1; }else{ var posts = 0; }
	if($('#mail_them_when_mentions').is(':checked')){ var mentions = 1; }else{ var mentions = 0; }
	if($('#mail_them_when_like_posts').is(':checked')){ var likePosts = 1; }else{ var likePosts = 0; }
	if($('#mail_them_when_update').is(':checked')){ var update = 1; }else{ var update = 0; }
	$.post('/socialnetwork/email-setting',{appId:appId,userId:userId,follow:follow,subscribe:subscribe,posts:posts,mentions:mentions,likePosts:likePosts,update:update},
		function(html){
				$('#msg').html('');
				$('#msg-req').html('');
				$('#mention-msg').html('');
				$('#comment-msg').html('');
				$('#change-pass-msg').html('');
				$('#email-msg').html('');
				$('#email-msg').html(html);
				$('#simulatior-loader').hide();
		});
}
function changePassword(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	var cpass = $('#cpass').val();
	var newpass = $('#newpass').val();
	var repass = $('#repass').val();
	if(newpass.length < 6)
	{
		alert('Password should be min 6 character');
		$('#simulatior-loader').hide();
		return false;
	}
	if(newpass != repass)
	{
		alert('Password not match');
		$('#simulatior-loader').hide();
		return false;
	}
	$.post('/socialnetwork/change-pass',{appId:appId,userId:userId,cpass:cpass,newpass:newpass,repass:repass},
		function(html){
				$('#msg').html('');
				$('#msg-req').html('');
				$('#mention-msg').html('');
				$('#comment-msg').html('');
				$('#change-pass-msg').html('');
				$('#email-msg').html('');
				$('#change-pass-msg').html(html);
				if(html=="Information has been updated"){
					$('#change-pass-msg').removeClass();
					$('#change-pass-msg').addClass("msg-green");
				}else{
					$('#change-pass-msg').removeClass();
					$('#change-pass-msg').addClass("msg-red");
				}
				$('#simulatior-loader').hide();
		});
}

function count_notify(appId,userId)
{
	$.post('/socialnetwork/count-notify',{appId:appId,userId:userId},
		function(html){
				$('#notify').html('');
				$('#notify').html(html);
				
		});
}
function notification(appId,userId)
{
	$.post('/socialnetwork/notification',{appId:appId,userId:userId},
		function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				var js = "back(); return false;";
				// Set with JQuery: doesn't work
				$(".back-header").attr("onclick", js);
		});
}
function kluster(appId,userId,page)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/kluster',{appId:appId,userId:userId,page:page},
		function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				var isVisible = $( "#middle-content-load" ).is( ":visible" );
				if(isVisible){
					$('#appypie-search-section').show();
				}else{
					$('#forget_div').hide();
					$('#signup_div').hide();
					$('#signin_div').show();
				}
				var js = "back(); return false;";
				// Set with JQuery: doesn't work
				$(".back-header").attr("onclick", js);
				$('#simulatior-loader').hide();
				$( ".panel-view" ).removeClass('open-panel');
				$( ".page-controller" ).removeClass('open-panel');
		});
}
function klusterList(appId,userId,klusterId,page)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/kluster-list',{appId:appId,userId:userId,klusterId:klusterId,page:page},
		function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				var isVisible = $( "#middle-content-load" ).is( ":visible" );
				if(isVisible){
					$('#appypie-search-section').show();
				}
				var js = "backkluster(); return false;";
				// Set with JQuery: doesn't work
				$(".back-header").attr("onclick", js);
				$('#simulatior-loader').hide();
		});
}
function postKLike(appId,userId,postId,klusterId,locurl)
{
	$.post('/socialnetwork/like-unlike',{userId:userId,postId:postId},
	function(msg){
		$.post('/socialnetwork/'+locurl,{appId:appId,userId:userId,klusterId:klusterId},
		function(html){
			$('#middle-content-load').html('');
			$('#middle-content-load').html(html);
		});
	});
}
function saveKComment(appId,userId,postId,klusterId,locurl)
{
	var comment = $('#'+postId+'_comment').val();
	$.post('/socialnetwork/save-comment',{appId:appId,userId:userId,postId:postId,comment:comment},
	function(msg){
		$.post('/socialnetwork/'+locurl,{appId:appId,userId:userId,klusterId:klusterId},
		function(html){
			$('#middle-content-load').html('');
			$('#middle-content-load').html(html);
			$('#comment_'+postId).show();
		});
	});
}
function postKCommentLike(appId,userId,postId,commentId,klusterId,locurl)
{
	$.post('/socialnetwork/comment-like-unlike',{appId:appId,userId:userId,postId:postId,commentId:commentId},
	function(msg){
		$.post('/socialnetwork/'+locurl,{appId:appId,userId:userId,klusterId:klusterId},
		function(html){
			$('#middle-content-load').html('');
			$('#middle-content-load').html(html);
			$('#comment_'+postId).show();
		});
	});
}
function deleteKComment(appId,userId,postId,commentId,klusterId,locurl)
{
	var r=confirm("Confirm to delete");
	if (r==true)
	{
		$.post('/socialnetwork/delete-comment',{userId:userId,commentId:commentId},
		function(msg){
			$.post('/socialnetwork/'+locurl,{appId:appId,userId:userId,klusterId:klusterId},
			function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				$('#comment_'+postId).show();
			});
		});
	}
}
function userKProfile(appId,profileId,userId,klusterId,locurl)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/user-profile',{appId:appId,profileId:profileId,userId:userId},
		function(html){
				$('#middle-content-load').html('');
				$('#middle-content-load').html(html);
				var js = locurl+"('"+appId+"','"+userId+"','"+klusterId+"'); return false;";
				
				// Set with JQuery: doesn't work
				$(".back-header").attr("onclick", js);
				$('#simulatior-loader').hide();
		});
	
}
function mystream(appId,userId,filter,page)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	
	$.post('/socialnetwork/mystream',{appId:appId,userId:userId,filter:filter,page:page},
	function(html){
		$('#middle-content-load').html('');
		$('#middle-content-load').html(html);
		var isVisible = $( "#middle-content-load" ).is( ":visible" );
		if(isVisible){
			$('#appypie-search-section').show();
		}else{
			$('#forget_div').hide();
			$('#signup_div').hide();
			$('#signin_div').show();
		}
		var js = "back(); return false;";
		// Set with JQuery: doesn't work
		$(".back-header").attr("onclick", js);
		$( "#mProducts" ).hide('slow');
		$('#simulatior-loader').hide();
		$( ".panel-view" ).removeClass('open-panel');
		$( ".page-controller" ).removeClass('open-panel');
	});
}
function logout(appId,userId)
{
	$.post('/socialnetwork/logout',{appId:appId,userId:userId},
	function(msg){
		$('#sc_login').html("Login");
		$('#sc_login').attr("onclick","logout('','')");
		$('#chklogin').val(0);
		$('#middle-content-load').html('');
		$('#middle-content-load').hide();
		$('#appypie-search-section').hide();
		$('#signin_div').show();
		$( "#mProducts" ).hide('slow');
		$('.magentocl').hide();
		$( ".panel-view" ).removeClass('open-panel');
		$( ".page-controller" ).removeClass('open-panel');
		
		
		//loadApplicationMobile();
		
	});
}
function postdetail(appId,userId,postId,locurl,profileId,tab)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/postdetail',{appId:appId,userId:userId,postId:postId,tab:tab},
	function(html){
			$('#middle-content-load').html('');
			$('#middle-content-load').html(html);
			var isVisible = $( "#middle-content-load" ).is( ":visible" );
			if(isVisible){
				$('#appypie-search-section').show();
			}
			if(locurl=='userProfile')
			{
				var js = locurl+"('"+appId+"','"+profileId+"','"+userId+"','"+locurl+"'); return false;";
			}else if(locurl=='klusterList')
			{
				var js = locurl+"('"+appId+"','"+userId+"','"+profileId+"'); return false;";
			}else{
				var js = locurl+"('"+appId+"','"+userId+"'); return false;";
			}
			showposttab('comments');
			// Set with JQuery: doesn't work
			$(".back-header").attr("onclick", js);
			$('#simulatior-loader').hide();
		});
}
function top100users(appId,userId,value,page)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	var filter = '';
	var country = '';
	if(value)
	{
		filter = $('#top100filter').val();
		country = $('#top100country').val();
	}
	if(page!="")
	{
		var page = page;
	}else{
		var page = 1;
	}
	$.post('/socialnetwork/top100users',{appId:appId,userId:userId,filter:filter,country:country,page:page},
	function(html){
			$('#middle-content-load').html('');
			$('#middle-content-load').html(html);
			var isVisible = $( "#middle-content-load" ).is( ":visible" );
			if(isVisible){
				$('#appypie-search-section').show();
			}else{
				$('#forget_div').hide();
				$('#signup_div').hide();
				$('#signin_div').show();
			}
			var js = "back(); return false;";
			// Set with JQuery: doesn't work
			$(".back-header").attr("onclick", js);
			$('#simulatior-loader').hide();
			$( ".panel-view" ).removeClass('open-panel');
			$( ".page-controller" ).removeClass('open-panel');
		});
}
function featured(appId,userId,page)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/featured',{appId:appId,userId:userId,page:page},
	function(html){
			$('#middle-content-load').html('');
			$('#middle-content-load').html(html);
			var isVisible = $( "#middle-content-load" ).is( ":visible" );
			if(isVisible){
				$('#appypie-search-section').show();
			}else{
				$('#forget_div').hide();
				$('#signup_div').hide();
				$('#signin_div').show();
			}
			var js = "back(); return false;";
			// Set with JQuery: doesn't work
			$(".back-header").attr("onclick", js);
			$('#simulatior-loader').hide();
			$( ".panel-view" ).removeClass('open-panel');
			$( ".page-controller" ).removeClass('open-panel');
		});
}
function myposts(appId,userId)
{
	$.post('/socialnetwork/myposts',{appId:appId,userId:userId},
	function(html){
			$('#middle-content-load').html('');
			$('#middle-content-load').html(html);
			$('#middle-content-load').show();
			$('#appypie-search-section').show();
			var js = "back(); return false;";
			// Set with JQuery: doesn't work
			$(".back-header").attr("onclick", js);
		});
		$( "#mProducts" ).hide('slow');
}
function mylikes(appId,userId)
{
	$.post('/socialnetwork/mylikes',{appId:appId,userId:userId},
	function(html){
			$('#middle-content-load').html('');
			$('#middle-content-load').html(html);
			$('#middle-content-load').show();
			$('#appypie-search-section').show();
			var js = "back(); return false;";
			// Set with JQuery: doesn't work
			$(".back-header").attr("onclick", js);
		});
		$( "#mProducts" ).hide('slow');
}
function mycomments(appId,userId)
{
	$.post('/socialnetwork/mycomments',{appId:appId,userId:userId},
	function(html){
			$('#middle-content-load').html('');
			$('#middle-content-load').html(html);
			$('#middle-content-load').show();
			$('#appypie-search-section').show();
			var js = "back(); return false;";
			// Set with JQuery: doesn't work
			$(".back-header").attr("onclick", js);
		});
		$( "#mProducts" ).hide('slow');
}

function toggleview()
{	
	$( ".panel-view" ).toggleClass('open-panel');
	$( ".page-controller" ).toggleClass('open-panel');
}

function slidemenu(appid, select,controllerName)
{
	$('#slide-menu-content').html("<div style='position:absolute;left:0px;opacity:.9;z-index:1000;width:98.4%;height:250px;padding:80px 0 0 0;text-align:center;'><img src='/images/loader.gif'></div>");
	$.post("/app/slide-menu", {appId:appid},
			 function(html){ 
					$('.page-sub-deatils').removeClass('disable');
					var innerhtml = html.split('_#_');  //Anand : __ => _#_
					$("#slide-menu-content").html(innerhtml[1]);
					var pageid = innerhtml[0].split(','); 
					var count=0;
					var updsetting = '';
					var updstyle = '';
					$.each(pageid,function(){
						updstyle = '';
						if(count==0 || count==1){
							updsetting = pageid[count].split('_');
							if(updsetting[0]=='updatesettings'){
								updstyle = 'display: none;';
							}
						}
						//alert('#appPage_'+pageid[count].trim());
						$('#appPage_'+pageid[count].trim()).attr('style','display:block;');
						//$('#slide-menu-content #'+select).attr('style','background:none repeat scroll 0 0 rgba(0,0,0,0.6); color:#FFFFFF');
						$('#slide-menu-content #'+select).attr('style','background:none repeat scroll 0 0 rgba(0, 0, 0, 0.99); color:#FFFFFF '+updstyle);
						
						
						
						count++;
					});
					
					if(controllerName!='app'){
					$('.check_mark').attr('style','display:none;');
					}
					
			});
				
}
function showtab(id)
{
	$('#play').hide();
	$('#user').hide();
	$('#likes').hide();
	$('#comments').hide();
	$('#'+id).show();
}
function showposttab(id)
{
	$('#comments').hide();
	$('#liking').hide();
	$('#'+id).show();
}
function showsearchtab(id)
{
	$('#search_posts').hide();
	$('#search_people').hide();
	$('#'+id).show();
}
function forgotPassword(appId)
{
	var email = $('#forgotEmail').val();
	if(isValidEmailAddress(email))
	{
		$.post('/socialnetwork/forgotpass',{appId:appId,email:email},
		function(html){
				alert(html);
			});
	}else{
		alert('Invalid Email');
	}
	
}
function editprofile(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/edit-profile',{appId:appId,userId:userId},
		function(html){
			$('#middle-content-load').html('');
			$('#middle-content-load').html(html);
			$('#middle-content-load').show();
			$('#appypie-search-section').hide();
			var js = "userProfile('"+appId+"','"+userId+"','"+userId+"'); return false;";
			
			// Set with JQuery: doesn't work
			$(".back-header").attr("onclick", js);
			$('#simulatior-loader').hide();
		});
	
}
function saveprofile(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	var name = $('#name').val();
	var gender = $('#gender').val();
	var birthday = $('#birthday').val();
	var birthmonth = $('#birthmonth').val();
	var birthyear = $('#birthyear').val();
	var country = $('#country').val();
	var phone = $('#phone').val();
	var about_me = $('#about_me').val();
	$('#loadmoreajaxloader').show();
	$.post('/socialnetwork/save-profile',{appId:appId,userId:userId,name:name,gender:gender,birthday:birthday,birthmonth:birthmonth,birthyear:birthyear,country:country,phone:phone,about_me:about_me},
		function(html){
			$.post('/socialnetwork/edit-profile',{appId:appId,userId:userId},
				function(edithtml){
					$('#middle-content-load').html('');
					$('#middle-content-load').html(edithtml);
					$('#middle-content-load').show();
					$('#appypie-search-section').hide();
					var js = "userProfile('"+appId+"','"+userId+"','"+userId+"'); return false;";
					// Set with JQuery: doesn't work
					$(".back-header").attr("onclick", js);
				});
			$('#simulatior-loader').hide();
		});
	$('#loadmoreajaxloader').hide();
}
function dashboard(appId,userId)
{
	$('#simulatior-loader').show();
	$("#simulatior-loader img").css("padding-top", "15%");
	$.post('/socialnetwork/dashboard',{appId:appId},
	function(html){
		if(html!='error'){
			$('#main-middle-content').show();
			$('#middle-content-load').html('');
			$('#middle-content-load').html(html);
			$('#middle-content-load').show();
			$('#appypie-search-section').show();
			if(html!=""){
				$('.magentocl').show();
			}
			$('#simulatior-loader').hide();
		}else{
			$('#simulatior-loader').hide();
			$('#forget_div').hide();
			$('#signup_div').hide();
			$('#signin_div').show();
		}
	});
	var js = "loadApplicationMobile(); return false;";
	// Set with JQuery: doesn't work
	$(".back-header").attr("onclick", js);
	$("#mProducts").hide('slow');
	$("#sc_logout").show();
	
	$( ".panel-view" ).removeClass('open-panel');
	$( ".page-controller" ).removeClass('open-panel');
}

